import { BaseRepository } from "./base-repo";
import { IQueryDefinition } from "src/types";
export interface IPayment {
    amount: number;
    category: string;
    invoiceId: string;
    transactionId?: string;
    remark: string;
}
export declare const paramOptions: IQueryDefinition<IPayment>;
declare class MyRepositoryBase extends BaseRepository<IPayment> {
    constructor();
    getIt(): Promise<IPayment[]>;
    create(): Promise<void>;
}
export declare const MyRepository: MyRepositoryBase;
export {};
